From edf3753632a5824ac47c74609956343291b63740 Mon Sep 17 00:00:00 2001
From: Priyanka Saggu <priyankasaggu11929@gmail.com>
Date: Fri, 13 Sep 2024 00:24:29 +0530
Subject: [PATCH] CVE-2024-24786: bump github.com/golang/protobuf v1.5.4,
 google.golang.org/protobuf v1.33.0

---
 go.mod                                        |    8 +-
 go.sum                                        |    8 +-
 staging/src/k8s.io/api/go.mod                 |    4 +-
 staging/src/k8s.io/api/go.sum                 |   12 +-
 .../src/k8s.io/apiextensions-apiserver/go.mod |    4 +-
 .../src/k8s.io/apiextensions-apiserver/go.sum |    6 +-
 staging/src/k8s.io/apimachinery/go.mod        |    4 +-
 staging/src/k8s.io/apimachinery/go.sum        |    7 +-
 staging/src/k8s.io/apiserver/go.mod           |    4 +-
 staging/src/k8s.io/apiserver/go.sum           |    6 +-
 staging/src/k8s.io/cli-runtime/go.mod         |    4 +-
 staging/src/k8s.io/cli-runtime/go.sum         |    7 +-
 staging/src/k8s.io/client-go/go.mod           |    4 +-
 staging/src/k8s.io/client-go/go.sum           |    7 +-
 staging/src/k8s.io/cloud-provider/go.mod      |    4 +-
 staging/src/k8s.io/cloud-provider/go.sum      |    6 +-
 staging/src/k8s.io/cluster-bootstrap/go.sum   |    4 +-
 .../src/k8s.io/code-generator/examples/go.sum |    6 +-
 staging/src/k8s.io/code-generator/go.mod      |    4 +-
 staging/src/k8s.io/code-generator/go.sum      |    7 +-
 staging/src/k8s.io/component-base/go.mod      |    4 +-
 staging/src/k8s.io/component-base/go.sum      |    6 +-
 staging/src/k8s.io/component-helpers/go.mod   |    4 +-
 staging/src/k8s.io/component-helpers/go.sum   |    7 +-
 staging/src/k8s.io/controller-manager/go.mod  |    4 +-
 staging/src/k8s.io/controller-manager/go.sum  |    6 +-
 staging/src/k8s.io/cri-api/go.mod             |    4 +-
 staging/src/k8s.io/cri-api/go.sum             |    6 +-
 staging/src/k8s.io/csi-translation-lib/go.sum |    4 +-
 staging/src/k8s.io/kube-aggregator/go.mod     |    4 +-
 staging/src/k8s.io/kube-aggregator/go.sum     |    6 +-
 .../src/k8s.io/kube-controller-manager/go.sum |    4 +-
 staging/src/k8s.io/kube-proxy/go.sum          |    4 +-
 staging/src/k8s.io/kube-scheduler/go.sum      |    4 +-
 staging/src/k8s.io/kubectl/go.mod             |    4 +-
 staging/src/k8s.io/kubectl/go.sum             |    7 +-
 staging/src/k8s.io/kubelet/go.mod             |    4 +-
 staging/src/k8s.io/kubelet/go.sum             |    6 +-
 .../src/k8s.io/legacy-cloud-providers/go.mod  |    4 +-
 .../src/k8s.io/legacy-cloud-providers/go.sum  |    6 +-
 staging/src/k8s.io/metrics/go.mod             |    4 +-
 staging/src/k8s.io/metrics/go.sum             |    7 +-
 .../src/k8s.io/pod-security-admission/go.mod  |    4 +-
 .../src/k8s.io/pod-security-admission/go.sum  |    6 +-
 staging/src/k8s.io/sample-apiserver/go.mod    |    4 +-
 staging/src/k8s.io/sample-apiserver/go.sum    |    6 +-
 staging/src/k8s.io/sample-cli-plugin/go.mod   |    4 +-
 staging/src/k8s.io/sample-cli-plugin/go.sum   |    7 +-
 staging/src/k8s.io/sample-controller/go.mod   |    4 +-
 staging/src/k8s.io/sample-controller/go.sum   |    7 +-
 .../golang/protobuf/jsonpb/decode.go          |    9 +-
 .../golang/protobuf/jsonpb/encode.go          |    1 +
 .../protoc-gen-go/descriptor/descriptor.pb.go |  128 +-
 .../github.com/golang/protobuf/ptypes/any.go  |    7 +-
 vendor/google.golang.org/protobuf/AUTHORS     |    3 -
 .../google.golang.org/protobuf/CONTRIBUTORS   |    3 -
 .../protobuf/encoding/protojson/decode.go     |  210 +-
 .../protobuf/encoding/protojson/doc.go        |    4 +-
 .../protobuf/encoding/protojson/encode.go     |  102 +-
 .../encoding/protojson/well_known_types.go    |  147 +-
 .../protobuf/encoding/prototext/decode.go     |  124 +-
 .../protobuf/encoding/prototext/encode.go     |   57 +-
 .../protobuf/encoding/protowire/wire.go       |   40 +-
 .../protobuf/internal/descfmt/stringer.go     |  229 +-
 .../internal/editiondefaults/defaults.go      |   12 +
 .../editiondefaults/editions_defaults.binpb   |    4 +
 .../internal/encoding/defval/default.go       |   78 +-
 .../protobuf/internal/encoding/json/decode.go |    4 +-
 .../protobuf/internal/encoding/json/encode.go |   10 +-
 .../encoding/messageset/messageset.go         |    7 +-
 .../protobuf/internal/encoding/tag/tag.go     |   96 +-
 .../protobuf/internal/encoding/text/decode.go |   35 +-
 .../internal/encoding/text/decode_number.go   |   49 +-
 .../protobuf/internal/encoding/text/doc.go    |    4 +-
 .../protobuf/internal/encoding/text/encode.go |   10 +-
 .../protobuf/internal/filedesc/build.go       |   19 +-
 .../protobuf/internal/filedesc/desc.go        |  460 +--
 .../protobuf/internal/filedesc/desc_init.go   |   88 +-
 .../protobuf/internal/filedesc/desc_lazy.go   |  108 +-
 .../protobuf/internal/filedesc/desc_list.go   |  167 +-
 .../protobuf/internal/filedesc/editions.go    |  142 +
 .../protobuf/internal/filedesc/placeholder.go |  136 +-
 .../protobuf/internal/filetype/build.go       |   87 +-
 .../protobuf/internal/genid/descriptor_gen.go |  458 ++-
 .../internal/genid/go_features_gen.go         |   31 +
 .../protobuf/internal/genid/struct_gen.go     |    5 +
 .../protobuf/internal/genid/type_gen.go       |   44 +
 .../protobuf/internal/impl/api_export.go      |   42 +-
 .../protobuf/internal/impl/checkinit.go       |   12 +-
 .../protobuf/internal/impl/codec_extension.go |   56 +-
 .../protobuf/internal/impl/codec_field.go     |   90 +-
 .../protobuf/internal/impl/codec_gen.go       |  113 +-
 .../protobuf/internal/impl/codec_map.go       |   20 +-
 .../protobuf/internal/impl/codec_message.go   |   30 +-
 .../protobuf/internal/impl/codec_tables.go    |  290 +-
 .../protobuf/internal/impl/convert.go         |  229 +-
 .../protobuf/internal/impl/convert_list.go    |   42 +-
 .../protobuf/internal/impl/convert_map.go     |   32 +-
 .../protobuf/internal/impl/decode.go          |   21 +-
 .../protobuf/internal/impl/enum.go            |   10 +-
 .../protobuf/internal/impl/extension.go       |   26 +-
 .../protobuf/internal/impl/legacy_enum.go     |   57 +-
 .../protobuf/internal/impl/legacy_export.go   |   18 +-
 .../internal/impl/legacy_extension.go         |  100 +-
 .../protobuf/internal/impl/legacy_message.go  |  141 +-
 .../protobuf/internal/impl/merge.go           |   32 +-
 .../protobuf/internal/impl/message.go         |   58 +-
 .../protobuf/internal/impl/message_reflect.go |   74 +-
 .../internal/impl/message_reflect_field.go    |  120 +-
 .../protobuf/internal/impl/pointer_reflect.go |   36 +
 .../protobuf/internal/impl/pointer_unsafe.go  |   40 +
 .../protobuf/internal/impl/validate.go        |   50 +-
 .../protobuf/internal/impl/weak.go            |   16 +-
 .../protobuf/internal/order/order.go          |   18 +-
 .../protobuf/internal/order/range.go          |   22 +-
 .../protobuf/internal/strs/strings.go         |    2 +-
 ...ings_unsafe.go => strings_unsafe_go120.go} |   12 +-
 .../internal/strs/strings_unsafe_go121.go     |   74 +
 .../protobuf/internal/version/version.go      |   54 +-
 .../protobuf/proto/decode.go                  |    5 +-
 .../google.golang.org/protobuf/proto/doc.go   |   82 +-
 .../protobuf/proto/encode.go                  |    7 +-
 .../google.golang.org/protobuf/proto/equal.go |  178 +-
 .../protobuf/proto/extension.go               |    2 +-
 .../google.golang.org/protobuf/proto/merge.go |    2 +-
 .../google.golang.org/protobuf/proto/proto.go |   18 +-
 .../google.golang.org/protobuf/proto/size.go  |   10 +-
 .../protobuf/reflect/protodesc/desc.go        |   29 +-
 .../protobuf/reflect/protodesc/desc_init.go   |   56 +
 .../reflect/protodesc/desc_resolve.go         |   10 +-
 .../reflect/protodesc/desc_validate.go        |    6 +-
 .../protobuf/reflect/protodesc/editions.go    |  148 +
 .../protobuf/reflect/protodesc/proto.go       |   18 +-
 .../protobuf/reflect/protoreflect/proto.go    |   93 +-
 .../protobuf/reflect/protoreflect/source.go   |    1 +
 .../reflect/protoreflect/source_gen.go        |   95 +-
 .../protobuf/reflect/protoreflect/type.go     |   45 +-
 .../protobuf/reflect/protoreflect/value.go    |   26 +-
 .../reflect/protoreflect/value_equal.go       |  168 +
 .../reflect/protoreflect/value_union.go       |   50 +-
 ...{value_unsafe.go => value_unsafe_go120.go} |    4 +-
 .../protoreflect/value_unsafe_go121.go        |   87 +
 .../reflect/protoregistry/registry.go         |   28 +-
 .../protobuf/runtime/protoimpl/version.go     |    8 +-
 .../types/descriptorpb/descriptor.pb.go       | 3077 +++++++++++++----
 .../protobuf/types/dynamicpb/dynamic.go       |  361 +-
 .../protobuf/types/dynamicpb/types.go         |  184 +
 .../types/gofeaturespb/go_features.pb.go      |  177 +
 .../types/gofeaturespb/go_features.proto      |   28 +
 .../protobuf/types/known/anypb/any.pb.go      |  136 +-
 .../types/known/durationpb/duration.pb.go     |   63 +-
 .../protobuf/types/known/emptypb/empty.pb.go  |    8 +-
 .../types/known/fieldmaskpb/field_mask.pb.go  |  139 +-
 .../types/known/structpb/struct.pb.go         |   24 +-
 .../types/known/timestamppb/timestamp.pb.go   |   63 +-
 .../types/known/wrapperspb/wrappers.pb.go     |    2 +-
 vendor/modules.txt                            |   14 +-
 157 files changed, 7348 insertions(+), 3426 deletions(-)
 delete mode 100644 vendor/google.golang.org/protobuf/AUTHORS
 delete mode 100644 vendor/google.golang.org/protobuf/CONTRIBUTORS
 create mode 100644 vendor/google.golang.org/protobuf/internal/editiondefaults/defaults.go
 create mode 100644 vendor/google.golang.org/protobuf/internal/editiondefaults/editions_defaults.binpb
 create mode 100644 vendor/google.golang.org/protobuf/internal/filedesc/editions.go
 create mode 100644 vendor/google.golang.org/protobuf/internal/genid/go_features_gen.go
 rename vendor/google.golang.org/protobuf/internal/strs/{strings_unsafe.go => strings_unsafe_go120.go} (87%)
 create mode 100644 vendor/google.golang.org/protobuf/internal/strs/strings_unsafe_go121.go
 create mode 100644 vendor/google.golang.org/protobuf/reflect/protodesc/editions.go
 create mode 100644 vendor/google.golang.org/protobuf/reflect/protoreflect/value_equal.go
 rename vendor/google.golang.org/protobuf/reflect/protoreflect/{value_unsafe.go => value_unsafe_go120.go} (97%)
 create mode 100644 vendor/google.golang.org/protobuf/reflect/protoreflect/value_unsafe_go121.go
 create mode 100644 vendor/google.golang.org/protobuf/types/dynamicpb/types.go
 create mode 100644 vendor/google.golang.org/protobuf/types/gofeaturespb/go_features.pb.go
 create mode 100644 vendor/google.golang.org/protobuf/types/gofeaturespb/go_features.proto

diff --git a/go.mod b/go.mod
index 0cfeace941e..3211f5cc00e 100644
--- a/go.mod
+++ b/go.mod
@@ -39,7 +39,7 @@ require (
 	github.com/gogo/protobuf v1.3.2
 	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da
 	github.com/golang/mock v1.6.0
-	github.com/golang/protobuf v1.5.2
+	github.com/golang/protobuf v1.5.4
 	github.com/google/cadvisor v0.45.1
 	github.com/google/gnostic v0.5.7-v3refs
 	github.com/google/go-cmp v0.5.8
@@ -91,7 +91,7 @@ require (
 	google.golang.org/api v0.60.0
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
 	google.golang.org/grpc v1.47.0
-	google.golang.org/protobuf v1.28.0
+	google.golang.org/protobuf v1.33.0
 	gopkg.in/gcfg.v1 v1.2.0
 	gopkg.in/square/go-jose.v2 v2.2.2
 	gopkg.in/yaml.v2 v2.4.0
@@ -382,7 +382,7 @@ replace (
 	github.com/golang/glog => github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b
 	github.com/golang/groupcache => github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da
 	github.com/golang/mock => github.com/golang/mock v1.6.0
-	github.com/golang/protobuf => github.com/golang/protobuf v1.5.2
+	github.com/golang/protobuf => github.com/golang/protobuf v1.5.4
 	github.com/golang/snappy => github.com/golang/snappy v0.0.3
 	github.com/golangplus/bytes => github.com/golangplus/bytes v1.0.0
 	github.com/golangplus/fmt => github.com/golangplus/fmt v1.0.0
@@ -555,7 +555,7 @@ replace (
 	google.golang.org/genproto => google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
 	google.golang.org/grpc => google.golang.org/grpc v1.47.0
 	google.golang.org/grpc/cmd/protoc-gen-go-grpc => google.golang.org/grpc/cmd/protoc-gen-go-grpc v1.1.0
-	google.golang.org/protobuf => google.golang.org/protobuf v1.28.0
+	google.golang.org/protobuf => google.golang.org/protobuf v1.33.0
 	gopkg.in/alecthomas/kingpin.v2 => gopkg.in/alecthomas/kingpin.v2 v2.2.6
 	gopkg.in/check.v1 => gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f
 	gopkg.in/errgo.v2 => gopkg.in/errgo.v2 v2.1.0
diff --git a/staging/src/k8s.io/api/go.mod b/staging/src/k8s.io/api/go.mod
index adaddc3ef08..c38ccd30827 100644
--- a/staging/src/k8s.io/api/go.mod
+++ b/staging/src/k8s.io/api/go.mod
@@ -13,7 +13,7 @@ require (
 require (
 	github.com/davecgh/go-spew v1.1.1 // indirect
 	github.com/go-logr/logr v1.2.3 // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/go-cmp v0.5.8 // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
 	github.com/json-iterator/go v1.1.12 // indirect
@@ -23,7 +23,7 @@ require (
 	github.com/spf13/pflag v1.0.5 // indirect
 	golang.org/x/net v0.17.0 // indirect
 	golang.org/x/text v0.13.0 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
diff --git a/staging/src/k8s.io/apiextensions-apiserver/go.mod b/staging/src/k8s.io/apiextensions-apiserver/go.mod
index 6f1783edba1..367d81ae91d 100644
--- a/staging/src/k8s.io/apiextensions-apiserver/go.mod
+++ b/staging/src/k8s.io/apiextensions-apiserver/go.mod
@@ -20,7 +20,7 @@ require (
 	go.opentelemetry.io/otel/trace v0.20.0
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21
 	google.golang.org/grpc v1.47.0
-	google.golang.org/protobuf v1.28.0
+	google.golang.org/protobuf v1.33.0
 	gopkg.in/yaml.v2 v2.4.0
 	k8s.io/api v0.0.0
 	k8s.io/apimachinery v0.0.0
@@ -58,7 +58,7 @@ require (
 	github.com/go-openapi/jsonreference v0.19.5 // indirect
 	github.com/go-openapi/swag v0.19.14 // indirect
 	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/btree v1.0.1 // indirect
 	github.com/gorilla/websocket v1.4.2 // indirect
 	github.com/grpc-ecosystem/go-grpc-middleware v1.3.0 // indirect
diff --git a/staging/src/k8s.io/apimachinery/go.mod b/staging/src/k8s.io/apimachinery/go.mod
index 06b1209a3d2..8a32ef80e3b 100644
--- a/staging/src/k8s.io/apimachinery/go.mod
+++ b/staging/src/k8s.io/apimachinery/go.mod
@@ -10,7 +10,7 @@ require (
 	github.com/elazarl/goproxy v0.0.0-20180725130230-947c36da3153
 	github.com/evanphx/json-patch v4.12.0+incompatible
 	github.com/gogo/protobuf v1.3.2
-	github.com/golang/protobuf v1.5.2
+	github.com/golang/protobuf v1.5.4
 	github.com/google/gnostic v0.5.7-v3refs
 	github.com/google/go-cmp v0.5.8
 	github.com/google/gofuzz v1.1.0
@@ -41,7 +41,7 @@ require (
 	github.com/pkg/errors v0.9.1 // indirect
 	github.com/pmezard/go-difflib v1.0.0 // indirect
 	golang.org/x/text v0.13.0 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
diff --git a/staging/src/k8s.io/apiserver/go.mod b/staging/src/k8s.io/apiserver/go.mod
index 63ef2c75c4e..0bbd16dd053 100644
--- a/staging/src/k8s.io/apiserver/go.mod
+++ b/staging/src/k8s.io/apiserver/go.mod
@@ -67,7 +67,7 @@ require (
 	github.com/go-openapi/jsonreference v0.19.5 // indirect
 	github.com/go-openapi/swag v0.19.14 // indirect
 	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/btree v1.0.1 // indirect
 	github.com/gorilla/websocket v1.4.2 // indirect
 	github.com/grpc-ecosystem/go-grpc-middleware v1.3.0 // indirect
@@ -111,7 +111,7 @@ require (
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8 // indirect
 	google.golang.org/appengine v1.6.7 // indirect
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
diff --git a/staging/src/k8s.io/cli-runtime/go.mod b/staging/src/k8s.io/cli-runtime/go.mod
index 5c0cf07892e..52414d53eed 100644
--- a/staging/src/k8s.io/cli-runtime/go.mod
+++ b/staging/src/k8s.io/cli-runtime/go.mod
@@ -35,7 +35,7 @@ require (
 	github.com/go-openapi/jsonreference v0.19.5 // indirect
 	github.com/go-openapi/swag v0.19.14 // indirect
 	github.com/gogo/protobuf v1.3.2 // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/btree v1.0.1 // indirect
 	github.com/google/go-cmp v0.5.8 // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
@@ -61,7 +61,7 @@ require (
 	golang.org/x/term v0.13.0 // indirect
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8 // indirect
 	google.golang.org/appengine v1.6.7 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
 	k8s.io/klog/v2 v2.70.1 // indirect
diff --git a/staging/src/k8s.io/client-go/go.mod b/staging/src/k8s.io/client-go/go.mod
index efc62241313..55e398eb64d 100644
--- a/staging/src/k8s.io/client-go/go.mod
+++ b/staging/src/k8s.io/client-go/go.mod
@@ -11,7 +11,7 @@ require (
 	github.com/evanphx/json-patch v4.12.0+incompatible
 	github.com/gogo/protobuf v1.3.2
 	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da
-	github.com/golang/protobuf v1.5.2
+	github.com/golang/protobuf v1.5.4
 	github.com/google/gnostic v0.5.7-v3refs
 	github.com/google/go-cmp v0.5.8
 	github.com/google/gofuzz v1.1.0
@@ -25,7 +25,7 @@ require (
 	golang.org/x/oauth2 v0.0.0-20211104180415-d3ed0bb246c8
 	golang.org/x/term v0.13.0
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8
-	google.golang.org/protobuf v1.28.0
+	google.golang.org/protobuf v1.33.0
 	k8s.io/api v0.0.0
 	k8s.io/apimachinery v0.0.0
 	k8s.io/klog/v2 v2.70.1
diff --git a/staging/src/k8s.io/cloud-provider/go.mod b/staging/src/k8s.io/cloud-provider/go.mod
index 1f5a3c0ceaa..aae4f71de22 100644
--- a/staging/src/k8s.io/cloud-provider/go.mod
+++ b/staging/src/k8s.io/cloud-provider/go.mod
@@ -41,7 +41,7 @@ require (
 	github.com/go-openapi/swag v0.19.14 // indirect
 	github.com/gogo/protobuf v1.3.2 // indirect
 	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/gnostic v0.5.7-v3refs // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
 	github.com/google/uuid v1.3.0 // indirect
@@ -91,7 +91,7 @@ require (
 	google.golang.org/appengine v1.6.7 // indirect
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
 	google.golang.org/grpc v1.47.0 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/natefinch/lumberjack.v2 v2.0.0 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
diff --git a/staging/src/k8s.io/code-generator/go.mod b/staging/src/k8s.io/code-generator/go.mod
index 316c457e972..efb0983cd16 100644
--- a/staging/src/k8s.io/code-generator/go.mod
+++ b/staging/src/k8s.io/code-generator/go.mod
@@ -23,7 +23,7 @@ require (
 	github.com/go-openapi/jsonpointer v0.19.5 // indirect
 	github.com/go-openapi/jsonreference v0.19.5 // indirect
 	github.com/go-openapi/swag v0.19.14 // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/go-cmp v0.5.8 // indirect
 	github.com/josharian/intern v1.0.0 // indirect
 	github.com/json-iterator/go v1.1.12 // indirect
@@ -37,7 +37,7 @@ require (
 	golang.org/x/net v0.17.0 // indirect
 	golang.org/x/sys v0.13.0 // indirect
 	golang.org/x/text v0.13.0 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
 	sigs.k8s.io/structured-merge-diff/v4 v4.2.3 // indirect
 	sigs.k8s.io/yaml v1.2.0 // indirect
diff --git a/staging/src/k8s.io/component-base/go.mod b/staging/src/k8s.io/component-base/go.mod
index 30a7b373ab6..eb8d418222d 100644
--- a/staging/src/k8s.io/component-base/go.mod
+++ b/staging/src/k8s.io/component-base/go.mod
@@ -44,7 +44,7 @@ require (
 	github.com/go-openapi/jsonreference v0.19.5 // indirect
 	github.com/go-openapi/swag v0.19.14 // indirect
 	github.com/gogo/protobuf v1.3.2 // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/gnostic v0.5.7-v3refs // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
 	github.com/grpc-ecosystem/grpc-gateway v1.16.0 // indirect
@@ -73,7 +73,7 @@ require (
 	google.golang.org/appengine v1.6.7 // indirect
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
 	google.golang.org/grpc v1.47.0 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
diff --git a/staging/src/k8s.io/component-helpers/go.mod b/staging/src/k8s.io/component-helpers/go.mod
index 4cea0c2230d..94443e1a4a0 100644
--- a/staging/src/k8s.io/component-helpers/go.mod
+++ b/staging/src/k8s.io/component-helpers/go.mod
@@ -24,7 +24,7 @@ require (
 	github.com/go-openapi/jsonreference v0.19.5 // indirect
 	github.com/go-openapi/swag v0.19.14 // indirect
 	github.com/gogo/protobuf v1.3.2 // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/gnostic v0.5.7-v3refs // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
 	github.com/josharian/intern v1.0.0 // indirect
@@ -41,7 +41,7 @@ require (
 	golang.org/x/text v0.13.0 // indirect
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8 // indirect
 	google.golang.org/appengine v1.6.7 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
diff --git a/staging/src/k8s.io/controller-manager/go.mod b/staging/src/k8s.io/controller-manager/go.mod
index fe960fd9c89..daedf73189f 100644
--- a/staging/src/k8s.io/controller-manager/go.mod
+++ b/staging/src/k8s.io/controller-manager/go.mod
@@ -37,7 +37,7 @@ require (
 	github.com/go-openapi/swag v0.19.14 // indirect
 	github.com/gogo/protobuf v1.3.2 // indirect
 	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/gnostic v0.5.7-v3refs // indirect
 	github.com/google/go-cmp v0.5.8 // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
@@ -86,7 +86,7 @@ require (
 	google.golang.org/appengine v1.6.7 // indirect
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
 	google.golang.org/grpc v1.47.0 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
diff --git a/staging/src/k8s.io/cri-api/go.mod b/staging/src/k8s.io/cri-api/go.mod
index 96e8c0ef2d5..89066a18157 100644
--- a/staging/src/k8s.io/cri-api/go.mod
+++ b/staging/src/k8s.io/cri-api/go.mod
@@ -12,7 +12,7 @@ require (
 
 require (
 	github.com/davecgh/go-spew v1.1.1 // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/go-cmp v0.5.8 // indirect
 	github.com/kr/text v0.2.0 // indirect
 	github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e // indirect
@@ -21,7 +21,7 @@ require (
 	golang.org/x/sys v0.13.0 // indirect
 	golang.org/x/text v0.13.0 // indirect
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
 )
diff --git a/staging/src/k8s.io/kube-aggregator/go.mod b/staging/src/k8s.io/kube-aggregator/go.mod
index 263df6df36a..4ca9e09cab4 100644
--- a/staging/src/k8s.io/kube-aggregator/go.mod
+++ b/staging/src/k8s.io/kube-aggregator/go.mod
@@ -41,7 +41,7 @@ require (
 	github.com/go-openapi/jsonreference v0.19.5 // indirect
 	github.com/go-openapi/swag v0.19.14 // indirect
 	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/gnostic v0.5.7-v3refs // indirect
 	github.com/google/go-cmp v0.5.8 // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
@@ -93,7 +93,7 @@ require (
 	google.golang.org/appengine v1.6.7 // indirect
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
 	google.golang.org/grpc v1.47.0 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/natefinch/lumberjack.v2 v2.0.0 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
diff --git a/staging/src/k8s.io/kubectl/go.mod b/staging/src/k8s.io/kubectl/go.mod
index e8fbb714234..dcc30d7f9f4 100644
--- a/staging/src/k8s.io/kubectl/go.mod
+++ b/staging/src/k8s.io/kubectl/go.mod
@@ -57,7 +57,7 @@ require (
 	github.com/go-openapi/jsonreference v0.19.5 // indirect
 	github.com/go-openapi/swag v0.19.14 // indirect
 	github.com/gogo/protobuf v1.3.2 // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/btree v1.0.1 // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
 	github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510 // indirect
@@ -85,7 +85,7 @@ require (
 	golang.org/x/text v0.13.0 // indirect
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8 // indirect
 	google.golang.org/appengine v1.6.7 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
 	sigs.k8s.io/kustomize/api v0.12.1 // indirect
diff --git a/staging/src/k8s.io/kubelet/go.mod b/staging/src/k8s.io/kubelet/go.mod
index 8d6fe5ee95e..013843b52fa 100644
--- a/staging/src/k8s.io/kubelet/go.mod
+++ b/staging/src/k8s.io/kubelet/go.mod
@@ -15,7 +15,7 @@ require (
 
 require (
 	github.com/go-logr/logr v1.2.3 // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/go-cmp v0.5.8 // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
 	github.com/inconshreveable/mousetrap v1.0.0 // indirect
@@ -27,7 +27,7 @@ require (
 	golang.org/x/sys v0.13.0 // indirect
 	golang.org/x/text v0.13.0 // indirect
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
 	k8s.io/klog/v2 v2.70.1 // indirect
diff --git a/staging/src/k8s.io/legacy-cloud-providers/go.mod b/staging/src/k8s.io/legacy-cloud-providers/go.mod
index a7f85fe0fe6..e5379ee4b85 100644
--- a/staging/src/k8s.io/legacy-cloud-providers/go.mod
+++ b/staging/src/k8s.io/legacy-cloud-providers/go.mod
@@ -59,7 +59,7 @@ require (
 	github.com/gogo/protobuf v1.3.2 // indirect
 	github.com/golang-jwt/jwt/v4 v4.2.0 // indirect
 	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/gnostic v0.5.7-v3refs // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
 	github.com/google/uuid v1.3.0 // indirect
@@ -91,7 +91,7 @@ require (
 	google.golang.org/appengine v1.6.7 // indirect
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
 	google.golang.org/grpc v1.47.0 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/warnings.v0 v0.1.1 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
diff --git a/staging/src/k8s.io/metrics/go.mod b/staging/src/k8s.io/metrics/go.mod
index 0ff8a48d769..6e4818fe74c 100644
--- a/staging/src/k8s.io/metrics/go.mod
+++ b/staging/src/k8s.io/metrics/go.mod
@@ -23,7 +23,7 @@ require (
 	github.com/go-openapi/jsonpointer v0.19.5 // indirect
 	github.com/go-openapi/jsonreference v0.19.5 // indirect
 	github.com/go-openapi/swag v0.19.14 // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/gnostic v0.5.7-v3refs // indirect
 	github.com/google/go-cmp v0.5.8 // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
@@ -45,7 +45,7 @@ require (
 	golang.org/x/time v0.0.0-20220210224613-90d013bbcef8 // indirect
 	golang.org/x/tools v0.6.0 // indirect
 	google.golang.org/appengine v1.6.7 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
 	gopkg.in/yaml.v3 v3.0.1 // indirect
diff --git a/staging/src/k8s.io/pod-security-admission/go.mod b/staging/src/k8s.io/pod-security-admission/go.mod
index de23ae2d556..7847a647caa 100644
--- a/staging/src/k8s.io/pod-security-admission/go.mod
+++ b/staging/src/k8s.io/pod-security-admission/go.mod
@@ -40,7 +40,7 @@ require (
 	github.com/go-openapi/swag v0.19.14 // indirect
 	github.com/gogo/protobuf v1.3.2 // indirect
 	github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da // indirect
-	github.com/golang/protobuf v1.5.2 // indirect
+	github.com/golang/protobuf v1.5.4 // indirect
 	github.com/google/gnostic v0.5.7-v3refs // indirect
 	github.com/google/gofuzz v1.1.0 // indirect
 	github.com/google/uuid v1.3.0 // indirect
@@ -89,7 +89,7 @@ require (
 	google.golang.org/appengine v1.6.7 // indirect
 	google.golang.org/genproto v0.0.0-20220502173005-c8bf987b8c21 // indirect
 	google.golang.org/grpc v1.47.0 // indirect
-	google.golang.org/protobuf v1.28.0 // indirect
+	google.golang.org/protobuf v1.33.0 // indirect
 	gopkg.in/inf.v0 v0.9.1 // indirect
 	gopkg.in/natefinch/lumberjack.v2 v2.0.0 // indirect
 	gopkg.in/yaml.v2 v2.4.0 // indirect
